RSConstants.TRANSPORTTYPE
Date: 2013-03-24

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.gcube.common.searchservice.searchlibrary.resultset.helpers
Enum RSConstants.TRANSPORTTYPE

    java.lang.Object
      java.lang.Enum<RSConstants.TRANSPORTTYPE>
          org.gcube.common.searchservice.searchlibrary.resultset.helpers.RSConstants.TRANSPORTTYPE

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<RSConstants.TRANSPORTTYPE>

Enclosing class:
  RSConstants

    public static enum RSConstants.TRANSPORTTYPE

extends java.lang.Enum<RSConstants.TRANSPORTTYPE>

Enumeration used to specify demands on result consumption

Enum Constant Summary
`ATTACH`
`SOAP`
`SOCKET`

Method Summary
`static RSConstants.TRANSPORTTYPE` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static RSConstants.TRANSPORTTYPE[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SOAP

    public static final RSConstants.TRANSPORTTYPE SOAP

### ATTACH

    public static final RSConstants.TRANSPORTTYPE ATTACH

### SOCKET

    public static final RSConstants.TRANSPORTTYPE SOCKET

Method Detail

### values

    public static RSConstants.TRANSPORTTYPE[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (RSConstants.TRANSPORTTYPE c : RSConstants.TRANSPORTTYPE.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static RSConstants.TRANSPORTTYPE valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD